summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Luis Henrique <lmello.009@gmail.com>2010-05-12 23:28:01 +0200
committer David Somero <xgizzmo@slackbuilds.org>2010-05-12 23:28:01 +0200
commit2c66183963eeb7a74ae17871e7ec35a555715cbd (patch)
tree7f079f6be1ae17bef9effe68284bbce1980988dc
parent4616771410e987d6223d7666b79321e05432724f (diff)
downloadslackbuilds-2c66183963eeb7a74ae17871e7ec35a555715cbd.tar.gz
slackbuilds-2c66183963eeb7a74ae17871e7ec35a555715cbd.tar.xz
audio/mac: Added to 12.2 repository
-rw-r--r--audio/mac/README6
-rw-r--r--audio/mac/mac.SlackBuild72
-rw-r--r--audio/mac/mac.info8
-rw-r--r--audio/mac/slack-desc19
4 files changed, 105 insertions, 0 deletions
diff --git a/audio/mac/README b/audio/mac/README
new file mode 100644
index 0000000000..f6dee3be9f
--- /dev/null
+++ b/audio/mac/README
@@ -0,0 +1,6 @@
+mac (Monkey's Audio Linux port)
+
+mac is a console frontend to Monkey's Audio, able to encode and
+decode ape audio files.
+
+Yasm (available at SlackBuilds.org) is required to build this package.
diff --git a/audio/mac/mac.SlackBuild b/audio/mac/mac.SlackBuild
new file mode 100644
index 0000000000..4ca31795b1
--- /dev/null
+++ b/audio/mac/mac.SlackBuild
@@ -0,0 +1,72 @@
+#!/bin/sh
+
+# Slackware build script for mac
+
+# Written by Luis Henrique <lmello.009@gmail.com>
+
+PRGNAM=mac
+VERSION=${VERSION:-3.99}
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+fi
+
+set -e # Exit on most errors
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION-u4-b5
+tar xvf $CWD/$PRGNAM-$VERSION-u4-b5.tar.gz
+cd $PRGNAM-$VERSION-u4-b5
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --enable-shared=yes \
+ --enable-static=no \
+ --enable-assembly=yes \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null
+)
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS COPYING ChangeLog INSTALL NEWS README TODO $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/audio/mac/mac.info b/audio/mac/mac.info
new file mode 100644
index 0000000000..f7813835d9
--- /dev/null
+++ b/audio/mac/mac.info
@@ -0,0 +1,8 @@
+PRGNAM="mac"
+VERSION="3.99"
+HOMEPAGE="http://supermmx.org/linux/mac"
+DOWNLOAD="http://supermmx.org/resources/linux/mac/mac-3.99-u4-b5.tar.gz"
+MD5SUM="75716b342e07deae58f56a2522362006"
+MAINTAINER="Luis Henrique"
+EMAIL="lmello.009@gmail.com"
+APPROVED="dsomero"
diff --git a/audio/mac/slack-desc b/audio/mac/slack-desc
new file mode 100644
index 0000000000..796159485f
--- /dev/null
+++ b/audio/mac/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler-------------------------------------------------------|
+mac: mac (Monkey's Audio Linux port)
+mac:
+mac: mac is a console frontend to Monkey's Audio, able to encode and
+mac: decode ape audio files.
+mac:
+mac:
+mac:
+mac:
+mac:
+mac:
+mac: